<?php

use App\Http\Controllers\EmployeeController;
use App\Http\Controllers\EmployeePaymentController;
use App\Http\Controllers\PayrollController;
use App\Http\Controllers\PayrollEmployeeController;
use Illuminate\Support\Facades\Route;

Route::resource('payroll', PayrollController::class);
Route::get('salaryGenerateResult', [PayrollController::class, 'salaryGenerateResult'])->name('payroll.salaryGenerateResult');
Route::get('/salary-sheet/{id}', [PayrollController::class, 'salarySheet']);

Route::post('employeePayment', [EmployeePaymentController::class, 'employeePayment'])->name('employee.payment');
Route::get('employee/salarySheet', [EmployeePaymentController::class, 'salarySheet'])->name('payroll.salarySheet');
Route::get('employee/salarySheetResult', [EmployeePaymentController::class, 'salaryResult'])->name('payroll.salaryResult');
Route::post('employee/previousSalary', [EmployeePaymentController::class, 'previousSalary'])->name('payroll.previousSalary');

Route::get('employee/salaryGenerate', [PayrollController::class, 'salaryGenerate'])->name('payroll.salaryGenerate');
Route::resource('payrollEmployee', PayrollEmployeeController::class);
